<?php
require_once(getabspath("classes/cipherer.php"));
$tdatadet_movimiento = array();
	$tdatadet_movimiento[".NumberOfChars"] = 80; 
	$tdatadet_movimiento[".ShortName"] = "det_movimiento";
	$tdatadet_movimiento[".OwnerID"] = "";
	$tdatadet_movimiento[".OriginalTable"] = "det_movimiento";

//	field labels
$fieldLabelsdet_movimiento = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsdet_movimiento["Spanish"] = array();
	$fieldToolTipsdet_movimiento["Spanish"] = array();
	$fieldLabelsdet_movimiento["Spanish"]["iddet_movimiento"] = "Iddet Movimiento";
	$fieldToolTipsdet_movimiento["Spanish"]["iddet_movimiento"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["idcuenta"] = "ID Cuenta";
	$fieldToolTipsdet_movimiento["Spanish"]["idcuenta"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["monto_apertura"] = "Monto Apertura";
	$fieldToolTipsdet_movimiento["Spanish"]["monto_apertura"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["monto_cierre"] = "Monto Cierre";
	$fieldToolTipsdet_movimiento["Spanish"]["monto_cierre"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["idmovimiento"] = "ID Movimiento";
	$fieldToolTipsdet_movimiento["Spanish"]["idmovimiento"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["fecha_apertura"] = "Fecha Apertura";
	$fieldToolTipsdet_movimiento["Spanish"]["fecha_apertura"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["monto_recaudado"] = "Monto Recaudado";
	$fieldToolTipsdet_movimiento["Spanish"]["monto_recaudado"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["monto_gastado"] = "Monto Gastado";
	$fieldToolTipsdet_movimiento["Spanish"]["monto_gastado"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["fecha_cierre"] = "Fecha Cierre";
	$fieldToolTipsdet_movimiento["Spanish"]["fecha_cierre"] = "";
	$fieldLabelsdet_movimiento["Spanish"]["denominacion"] = "Cuenta";
	$fieldToolTipsdet_movimiento["Spanish"]["denominacion"] = "";
	if (count($fieldToolTipsdet_movimiento["Spanish"]))
		$tdatadet_movimiento[".isUseToolTips"] = true;
}
	
	
	$tdatadet_movimiento[".NCSearch"] = true;



$tdatadet_movimiento[".shortTableName"] = "det_movimiento";
$tdatadet_movimiento[".nSecOptions"] = 0;
$tdatadet_movimiento[".recsPerRowList"] = 1;
$tdatadet_movimiento[".mainTableOwnerID"] = "";
$tdatadet_movimiento[".moveNext"] = 1;
$tdatadet_movimiento[".nType"] = 0;

$tdatadet_movimiento[".strOriginalTableName"] = "det_movimiento";




$tdatadet_movimiento[".showAddInPopup"] = false;

$tdatadet_movimiento[".showEditInPopup"] = false;

$tdatadet_movimiento[".showViewInPopup"] = false;

$tdatadet_movimiento[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatadet_movimiento[".listAjax"] = true;
else 
	$tdatadet_movimiento[".listAjax"] = false;

	$tdatadet_movimiento[".audit"] = false;

	$tdatadet_movimiento[".locking"] = false;

$tdatadet_movimiento[".inlineEdit"] = true;
$tdatadet_movimiento[".inlineAdd"] = true;

$tdatadet_movimiento[".exportTo"] = true;

$tdatadet_movimiento[".printFriendly"] = true;


$tdatadet_movimiento[".showSimpleSearchOptions"] = false;

$tdatadet_movimiento[".showSearchPanel"] = true;

if (isMobile())
	$tdatadet_movimiento[".isUseAjaxSuggest"] = false;
else 
	$tdatadet_movimiento[".isUseAjaxSuggest"] = true;

$tdatadet_movimiento[".rowHighlite"] = true;

// button handlers file names
$tdatadet_movimiento[".isUsebuttonHandlers"] = true;

$tdatadet_movimiento[".addPageEvents"] = true;

// use timepicker for search panel
$tdatadet_movimiento[".isUseTimeForSearch"] = false;




$tdatadet_movimiento[".allSearchFields"] = array();


$tdatadet_movimiento[".googleLikeFields"][] = "iddet_movimiento";
$tdatadet_movimiento[".googleLikeFields"][] = "idmovimiento";
$tdatadet_movimiento[".googleLikeFields"][] = "idcuenta";
$tdatadet_movimiento[".googleLikeFields"][] = "monto_apertura";
$tdatadet_movimiento[".googleLikeFields"][] = "monto_cierre";
$tdatadet_movimiento[".googleLikeFields"][] = "fecha_apertura";
$tdatadet_movimiento[".googleLikeFields"][] = "monto_recaudado";
$tdatadet_movimiento[".googleLikeFields"][] = "monto_gastado";
$tdatadet_movimiento[".googleLikeFields"][] = "fecha_cierre";
$tdatadet_movimiento[".googleLikeFields"][] = "denominacion";



$tdatadet_movimiento[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main


$tdatadet_movimiento[".totalsFields"][] = array(
	"fName" => "monto_apertura", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');
$tdatadet_movimiento[".totalsFields"][] = array(
	"fName" => "monto_recaudado", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');
$tdatadet_movimiento[".totalsFields"][] = array(
	"fName" => "monto_gastado", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');
$tdatadet_movimiento[".totalsFields"][] = array(
	"fName" => "monto_cierre", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');

$tdatadet_movimiento[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY det_movimiento.iddet_movimiento DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadet_movimiento[".strOrderBy"] = $tstrOrderBy;

$tdatadet_movimiento[".orderindexes"] = array();
$tdatadet_movimiento[".orderindexes"][] = array(1, (0 ? "ASC" : "DESC"), "det_movimiento.iddet_movimiento");

$tdatadet_movimiento[".sqlHead"] = "SELECT det_movimiento.iddet_movimiento,  det_movimiento.idmovimiento,  det_movimiento.idcuenta,  det_movimiento.monto_apertura,  det_movimiento.monto_cierre,  det_movimiento.fecha_apertura,  det_movimiento.monto_recaudado,  det_movimiento.monto_gastado,  det_movimiento.fecha_cierre,  cuenta.denominacion";
$tdatadet_movimiento[".sqlFrom"] = "FROM det_movimiento  INNER JOIN cuenta ON det_movimiento.idcuenta = cuenta.idcuenta";
$tdatadet_movimiento[".sqlWhereExpr"] = "";
$tdatadet_movimiento[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadet_movimiento[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadet_movimiento[".arrGroupsPerPage"] = $arrGPP;

$tableKeysdet_movimiento = array();
$tableKeysdet_movimiento[] = "iddet_movimiento";
$tdatadet_movimiento[".Keys"] = $tableKeysdet_movimiento;

$tdatadet_movimiento[".listFields"] = array();
$tdatadet_movimiento[".listFields"][] = "idcuenta";
$tdatadet_movimiento[".listFields"][] = "denominacion";
$tdatadet_movimiento[".listFields"][] = "monto_apertura";
$tdatadet_movimiento[".listFields"][] = "fecha_apertura";
$tdatadet_movimiento[".listFields"][] = "monto_recaudado";
$tdatadet_movimiento[".listFields"][] = "monto_gastado";
$tdatadet_movimiento[".listFields"][] = "monto_cierre";

$tdatadet_movimiento[".viewFields"] = array();

$tdatadet_movimiento[".addFields"] = array();

$tdatadet_movimiento[".inlineAddFields"] = array();
$tdatadet_movimiento[".inlineAddFields"][] = "idcuenta";
$tdatadet_movimiento[".inlineAddFields"][] = "monto_apertura";

$tdatadet_movimiento[".editFields"] = array();

$tdatadet_movimiento[".inlineEditFields"] = array();
$tdatadet_movimiento[".inlineEditFields"][] = "monto_apertura";

$tdatadet_movimiento[".exportFields"] = array();
$tdatadet_movimiento[".exportFields"][] = "iddet_movimiento";
$tdatadet_movimiento[".exportFields"][] = "idmovimiento";
$tdatadet_movimiento[".exportFields"][] = "idcuenta";
$tdatadet_movimiento[".exportFields"][] = "denominacion";
$tdatadet_movimiento[".exportFields"][] = "monto_apertura";
$tdatadet_movimiento[".exportFields"][] = "monto_cierre";
$tdatadet_movimiento[".exportFields"][] = "fecha_apertura";
$tdatadet_movimiento[".exportFields"][] = "monto_recaudado";
$tdatadet_movimiento[".exportFields"][] = "monto_gastado";

$tdatadet_movimiento[".printFields"] = array();
$tdatadet_movimiento[".printFields"][] = "denominacion";
$tdatadet_movimiento[".printFields"][] = "fecha_apertura";
$tdatadet_movimiento[".printFields"][] = "monto_apertura";
$tdatadet_movimiento[".printFields"][] = "monto_recaudado";
$tdatadet_movimiento[".printFields"][] = "monto_gastado";
$tdatadet_movimiento[".printFields"][] = "fecha_cierre";
$tdatadet_movimiento[".printFields"][] = "monto_cierre";
$tdatadet_movimiento[".printFields"][] = "iddet_movimiento";
$tdatadet_movimiento[".printFields"][] = "idmovimiento";
$tdatadet_movimiento[".printFields"][] = "idcuenta";

//	iddet_movimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "iddet_movimiento";
	$fdata["GoodName"] = "iddet_movimiento";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Iddet Movimiento"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "iddet_movimiento"; 
		$fdata["FullName"] = "det_movimiento.iddet_movimiento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["iddet_movimiento"] = $fdata;
//	idmovimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idmovimiento";
	$fdata["GoodName"] = "idmovimiento";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "ID Movimiento"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idmovimiento"; 
		$fdata["FullName"] = "det_movimiento.idmovimiento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["idmovimiento"] = $fdata;
//	idcuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idcuenta";
	$fdata["GoodName"] = "idcuenta";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "ID Cuenta"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcuenta"; 
		$fdata["FullName"] = "det_movimiento.idcuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "denominacion";
	
		
	$edata["LookupTable"] = "cuenta";
	$edata["LookupOrderBy"] = "";
	
		
		$edata["LookupWhere"] = "estado = 'CERRADA'";
	
		
		
		$edata["AllowToAdd"] = true; 
	
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["idcuenta"] = $fdata;
//	monto_apertura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "monto_apertura";
	$fdata["GoodName"] = "monto_apertura";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Apertura"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_apertura"; 
		$fdata["FullName"] = "det_movimiento.monto_apertura";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:120px;";
	$edata["controlWidth"] = 120;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["monto_apertura"] = $fdata;
//	monto_cierre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "monto_cierre";
	$fdata["GoodName"] = "monto_cierre";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Cierre"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_cierre"; 
		$fdata["FullName"] = "det_movimiento.monto_cierre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:120px;";
	$edata["controlWidth"] = 120;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["monto_cierre"] = $fdata;
//	fecha_apertura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "fecha_apertura";
	$fdata["GoodName"] = "fecha_apertura";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Fecha Apertura"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "fecha_apertura"; 
		$fdata["FullName"] = "det_movimiento.fecha_apertura";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Datetime");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["fecha_apertura"] = $fdata;
//	monto_recaudado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "monto_recaudado";
	$fdata["GoodName"] = "monto_recaudado";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Recaudado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_recaudado"; 
		$fdata["FullName"] = "det_movimiento.monto_recaudado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:120px;";
	$edata["controlWidth"] = 120;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["monto_recaudado"] = $fdata;
//	monto_gastado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "monto_gastado";
	$fdata["GoodName"] = "monto_gastado";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Gastado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_gastado"; 
		$fdata["FullName"] = "det_movimiento.monto_gastado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:120px;";
	$edata["controlWidth"] = 120;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["monto_gastado"] = $fdata;
//	fecha_cierre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "fecha_cierre";
	$fdata["GoodName"] = "fecha_cierre";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Fecha Cierre"; 
	$fdata["FieldType"] = 135;
	
		
		
		
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		
		$fdata["strField"] = "fecha_cierre"; 
		$fdata["FullName"] = "det_movimiento.fecha_cierre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Datetime");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["fecha_cierre"] = $fdata;
//	denominacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "denominacion";
	$fdata["GoodName"] = "denominacion";
	$fdata["ownerTable"] = "cuenta";
	$fdata["Label"] = "Cuenta"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "denominacion"; 
		$fdata["FullName"] = "cuenta.denominacion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_movimiento["denominacion"] = $fdata;

	
$tables_data["det_movimiento"]=&$tdatadet_movimiento;
$field_labels["det_movimiento"] = &$fieldLabelsdet_movimiento;
$fieldToolTips["det_movimiento"] = &$fieldToolTipsdet_movimiento;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["det_movimiento"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["det_movimiento"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="movimiento_caja";
	$masterParams["mDataSourceTable"]="movimiento_caja";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "movimiento_caja";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 2;
	$masterParams["previewOnAdd"]= 1;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["det_movimiento"][$mIndex] = $masterParams;	
		$masterTablesData["det_movimiento"][$mIndex]["masterKeys"][]="idmovimiento";
		$masterTablesData["det_movimiento"][$mIndex]["detailKeys"][]="idmovimiento";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_det_movimiento()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "det_movimiento.iddet_movimiento,  det_movimiento.idmovimiento,  det_movimiento.idcuenta,  det_movimiento.monto_apertura,  det_movimiento.monto_cierre,  det_movimiento.fecha_apertura,  det_movimiento.monto_recaudado,  det_movimiento.monto_gastado,  det_movimiento.fecha_cierre,  cuenta.denominacion";
$proto0["m_strFrom"] = "FROM det_movimiento  INNER JOIN cuenta ON det_movimiento.idcuenta = cuenta.idcuenta";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY det_movimiento.iddet_movimiento DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "iddet_movimiento",
	"m_strTable" => "det_movimiento"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idmovimiento",
	"m_strTable" => "det_movimiento"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "det_movimiento"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_apertura",
	"m_strTable" => "det_movimiento"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_cierre",
	"m_strTable" => "det_movimiento"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_apertura",
	"m_strTable" => "det_movimiento"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_recaudado",
	"m_strTable" => "det_movimiento"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_gastado",
	"m_strTable" => "det_movimiento"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_cierre",
	"m_strTable" => "det_movimiento"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "denominacion",
	"m_strTable" => "cuenta"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto25=array();
$proto25["m_link"] = "SQLL_MAIN";
			$proto26=array();
$proto26["m_strName"] = "det_movimiento";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "iddet_movimiento";
$proto26["m_columns"][] = "idmovimiento";
$proto26["m_columns"][] = "idcuenta";
$proto26["m_columns"][] = "fecha_apertura";
$proto26["m_columns"][] = "monto_apertura";
$proto26["m_columns"][] = "monto_recaudado";
$proto26["m_columns"][] = "monto_gastado";
$proto26["m_columns"][] = "fecha_cierre";
$proto26["m_columns"][] = "monto_cierre";
$proto26["m_columns"][] = "estado";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_alias"] = "";
$proto27=array();
$proto27["m_sql"] = "";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "";
$proto27["m_havingmode"] = "0";
$proto27["m_inBrackets"] = "0";
$proto27["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
												$proto29=array();
$proto29["m_link"] = "SQLL_INNERJOIN";
			$proto30=array();
$proto30["m_strName"] = "cuenta";
$proto30["m_columns"] = array();
$proto30["m_columns"][] = "idcuenta";
$proto30["m_columns"][] = "denominacion";
$proto30["m_columns"][] = "fecha_alta";
$proto30["m_columns"][] = "saldo";
$proto30["m_columns"][] = "estado";
$proto30["m_columns"][] = "idusuario";
$obj = new SQLTable($proto30);

$proto29["m_table"] = $obj;
$proto29["m_alias"] = "";
$proto31=array();
$proto31["m_sql"] = "det_movimiento.idcuenta = cuenta.idcuenta";
$proto31["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "det_movimiento"
));

$proto31["m_column"]=$obj;
$proto31["m_contained"] = array();
$proto31["m_strCase"] = "= cuenta.idcuenta";
$proto31["m_havingmode"] = "0";
$proto31["m_inBrackets"] = "0";
$proto31["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto31);

$proto29["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto29);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto33=array();
						$obj = new SQLField(array(
	"m_strName" => "iddet_movimiento",
	"m_strTable" => "det_movimiento"
));

$proto33["m_column"]=$obj;
$proto33["m_bAsc"] = 0;
$proto33["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto33);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_det_movimiento = createSqlQuery_det_movimiento();
										$tdatadet_movimiento[".sqlquery"] = $queryData_det_movimiento;
	
if(isset($tdatadet_movimiento["field2"])){
	$tdatadet_movimiento["field2"]["LookupTable"] = "carscars_view";
	$tdatadet_movimiento["field2"]["LookupOrderBy"] = "name";
	$tdatadet_movimiento["field2"]["LookupType"] = 4;
	$tdatadet_movimiento["field2"]["LinkField"] = "email";
	$tdatadet_movimiento["field2"]["DisplayField"] = "name";
	$tdatadet_movimiento[".hasCustomViewField"] = true;
}

include_once(getabspath("include/det_movimiento_events.php"));
$tableEvents["det_movimiento"] = new eventclass_det_movimiento;
$tdatadet_movimiento[".hasEvents"] = true;

$cipherer = new RunnerCipherer("det_movimiento");

?>